
SITETB - Feature #206

Email automático 1

10/11/2012 07:03 PM - Jorge Luiz da Rocha

Status: Closed Start date: 10/11/2012

Priority: Urgent Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Casos   

Description

Quando houver transferência de paciente (email para usuários da unidade que irá recebê-lo).

History

#1 - 11/21/2012 10:14 AM - Maurício Dos Santos

- Tracker changed from Melhoria to Feature

- Status changed from New to In Progress

#2 - 11/22/2012 02:54 PM - Maurício Dos Santos

- Status changed from In Progress to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

Feito.

Aguardando retorno do ricardo sobre a mensagem que deve ser enviada para fazer o commit do código.

#3 - 11/23/2012 04:42 PM - Maurício Dos Santos

- Status changed from Feedback to Resolved

Feito.

#4 - 11/23/2012 09:55 PM - Maurício Dos Santos

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

#5 - 11/26/2012 12:03 PM - Maurício Dos Santos

- Status changed from Resolved to In Progress

Implementar uma api de envio de emails. Criar uma classe Pai MsgDispatcher que será herdada, a princípio, por OrderMsgDispatcher e

CaseMsgDispatcher. Ver exemplo de uso em OrderHome.saveNew().

#6 - 11/27/2012 02:19 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

Feito.

#7 - 11/29/2012 12:56 PM - Maurício Dos Santos

- Status changed from Resolved to Closed
#8 - 12/03/2012 03:46 PM - Ricardo Memoria

Erro ao enviar mensagem automática na transferência de paciente.

Usuário:     (943102) PENNA - E. Penna 

Área de trabalho:     Brasil 

Request:     ip address = 186.241.172.28

* browser = Mozilla/5.0 (iPad; CPU OS 6_0_1 like Mac OS X) AppleWebKit/536.26 (KHTML, like Gecko) Version/6.0 

Mobile/10A523 Safari/8536.25

* method = POST

* auth type = null

* context path = /sitetbtest

* path info = null

* path translated = null

* query string = null

* remote user = null

* requested session id = 364F9C5A1CC18F4DBF3432BE50C3C7EF

* request URI = /sitetbtest/cases/casemove.seam

* request URL = http://www.sitetb.org/sitetbtest/cases/casemove.seam

* servlet path = /cases/casemove.seam

* is Request session id valid = true 

Exception:     org.hibernate.hql.ast.QuerySyntaxException 

Exception message:     unexpected token: ( near line 1, column 84 [select u.user from org.msh.tb.entities.User

Workspace u where p.workspace.id = :el1 (u.view = :viewcountry or (u.view = :viewunit and u.tbunit.id = :uniti

d) 

Stack Trace:     org.hibernate.hql.ast.QuerySyntaxException: unexpected token: ( near line 1, column 84 [selec

t u.user from org.msh.tb.entities.UserWorkspace u where p.workspace.id = :el1 (u.view = :viewcountry or (u.vie

w = :viewunit and u.tbunit.id = :unitid) or (u.view = :viewadm and u.tbunit.adminUnit.code in ('009056','009')

))] 

at org.hibernate.hql.ast.QuerySyntaxException.convert(QuerySyntaxException.java:54) 

at org.hibernate.hql.ast.QuerySyntaxException.convert(QuerySyntaxException.java:47) 

at org.hibernate.hql.ast.ErrorCounter.throwQueryException(ErrorCounter.java:82) 

at org.hibernate.hql.ast.QueryTranslatorImpl.parse(QueryTranslatorImpl.java:281) 

at org.hibernate.hql.ast.QueryTranslatorImpl.doCompile(QueryTranslatorImpl.java:180) 

at org.hibernate.hql.ast.QueryTranslatorImpl.compile(QueryTranslatorImpl.java:134) 

at org.hibernate.engine.query.HQLQueryPlan.<init>(HQLQueryPlan.java:101) 

at org.hibernate.engine.query.HQLQueryPlan.<init>(HQLQueryPlan.java:80) 

at org.hibernate.engine.query.QueryPlanCache.getHQLQueryPlan(QueryPlanCache.java:94) 

at org.hibernate.impl.AbstractSessionImpl.getHQLQueryPlan(AbstractSessionImpl.java:156) 

at org.hibernate.impl.AbstractSessionImpl.createQuery(AbstractSessionImpl.java:135) 

at org.hibernate.impl.SessionImpl.createQuery(SessionImpl.java:1650) 

at org.hibernate.ejb.AbstractEntityManagerImpl.createQuery(AbstractEntityManagerImpl.java:93) 

at org.jboss.seam.persistence.EntityManagerProxy.createQuery(EntityManagerProxy.java:81) 

at org.hibernate.search.jpa.impl.FullTextEntityManagerImpl.createQuery(FullTextEntityManagerImpl.java:141) 

at org.jboss.seam.persistence.EntityManagerProxy.createQuery(EntityManagerProxy.java:69) 

at org.msh.tb.MsgDispatcher.getUsersByUnitAndView(MsgDispatcher.java:157) 

at org.msh.tb.cases.CaseMsgDispatcher.notifyTransference(CaseMsgDispatcher.java:35) 

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) 

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 

at java.lang.reflect.Method.invoke(Method.java:597) 

at org.jboss.seam.util.Reflections.invoke(Reflections.java:22) 

at org.jboss.seam.intercept.RootInvocationContext.proceed(RootInvocationContext.java:32) 

at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:56) 

at org.jboss.seam.transaction.RollbackInterceptor.aroundInvoke(RollbackInterceptor.java:28) 

at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) 

at org.jboss.seam.core.BijectionInterceptor.aroundInvoke(BijectionInterceptor.java:77) 

at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) 

at org.jboss.seam.core.MethodContextInterceptor.aroundInvoke(MethodContextInterceptor.java:44) 

at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) 

at org.jboss.seam.intercept.RootInterceptor.invoke(RootInterceptor.java:107) 

at org.jboss.seam.intercept.JavaBeanInterceptor.interceptInvocation(JavaBeanInterceptor.java:185) 

at org.jboss.seam.intercept.JavaBeanInterceptor.invoke(JavaBeanInterceptor.java:103) 

at org.msh.tb.cases.CaseMsgDispatcher_$$_javassist_seam_52.notifyTransference(CaseMsgDispatcher_$$_javassist_s

eam_52.java) 

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) 

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 

at java.lang.reflect.Method.invoke(Method.java:597) 

at org.jboss.seam.util.Reflections.invoke(Reflections.java:22) 

at org.jboss.seam.util.Reflections.invokeAndWrap(Reflections.java:144) 

at org.jboss.seam.Component.callComponentMethod(Component.java:2249) 

at org.jboss.seam.core.Events.raiseEvent(Events.java:85) 

at org.msh.tb.cases.CaseMoveHome.transferOut(CaseMoveHome.java:102) 

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) 

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 

at java.lang.reflect.Method.invoke(Method.java:597) 

#9 - 12/03/2012 03:47 PM - Ricardo Memoria

- Status changed from Closed to Feedback

#10 - 12/03/2012 07:43 PM - Maurício Dos Santos

- Status changed from Feedback to Closed

Resolvido.

#11 - 12/05/2012 02:15 PM - Maurício Dos Santos

- Status changed from Closed to In Progress

Trocar o assunto da mensagem para "Caso de TB - Nova transferencia" dependendo da classificação do caso.

#12 - 12/06/2012 10:48 AM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#13 - 12/06/2012 10:07 PM - Maurício Dos Santos

- Status changed from Resolved to Closed

#14 - 12/06/2012 10:54 PM - Estefânia Quilma Andrade

testado, fiz uma transferencia e recebi o e-mail. Acredito q. muita gente va receber tambem, não consegui descobrir quem recebe.mas esta ok

#15 - 12/07/2012 02:14 AM - Ricardo Memoria

- Status changed from Closed to Feedback

O estado e municipio das unidades estao muito afastados do nome das unidades (origem e destino).

Ajuste para ficar igual ao email do pedido, onde o estado e municipio aparecem logo abaixo do nome da unidade.

#16 - 12/10/2012 02:04 PM - Maurício Dos Santos

- Status changed from Feedback to Resolved

#17 - 12/13/2012 12:33 AM - Maurício Dos Santos

- Status changed from Resolved to Closed
